xine-lib: Fractal_Struct Struct Reference

xine-lib 1.2.13-20230125hg15249

Data Fields
Fractal_Struct Struct Reference

## Data Fields
int | Nb_Simi
SIMI | Components [5 *6]
int | Depth
int | Col
int | Count
int | Speed
int | Width
int | Height
int | Lx
int | Ly
DBL | r_mean
DBL | dr_mean
DBL | dr2_mean
int | Cur_Pt
int | Max_Pt
IFSPoint * | Buffer1
IFSPoint * | Buffer2

## Field Documentation

## ◆ Buffer1

IFSPoint* Fractal_Struct::Buffer1

Referenced by Draw_Fractal(), draw_ifs(), free_ifs_buffers(), and init_ifs().

## ◆ Buffer2

IFSPoint * Fractal_Struct::Buffer2

Referenced by Draw_Fractal(), draw_ifs(), free_ifs_buffers(), and init_ifs().

## ◆ Col

int Fractal_Struct::Col

Referenced by draw_ifs(), and init_ifs().

## ◆ Components

SIMI Fractal_Struct::Components[5 *6]

Referenced by Draw_Fractal(), draw_ifs(), init_ifs(), and Trace().

## ◆ Count

int Fractal_Struct::Count

Referenced by draw_ifs(), and init_ifs().

## ◆ Cur_Pt

int Fractal_Struct::Cur_Pt

Referenced by Draw_Fractal(), and init_ifs().

## ◆ Depth

int Fractal_Struct::Depth

Referenced by init_ifs(), and Trace().

## ◆ dr2_mean

DBL Fractal_Struct::dr2_mean

Referenced by init_ifs(), and Random_Simis().

## ◆ dr_mean

DBL Fractal_Struct::dr_mean

Referenced by init_ifs(), and Random_Simis().

## ◆ Height

int Fractal_Struct::Height

Referenced by init_ifs().

## ◆ Lx

int Fractal_Struct::Lx

Referenced by init_ifs(), and Trace().

## ◆ Ly

int Fractal_Struct::Ly

Referenced by init_ifs(), and Trace().

## ◆ Max_Pt

int Fractal_Struct::Max_Pt

Referenced by init_ifs().

## ◆ Nb_Simi

int Fractal_Struct::Nb_Simi

Referenced by Draw_Fractal(), draw_ifs(), init_ifs(), and Trace().

## ◆ r_mean

DBL Fractal_Struct::r_mean

Referenced by init_ifs(), and Random_Simis().

## ◆ Speed

int Fractal_Struct::Speed

Referenced by draw_ifs(), and init_ifs().

## ◆ Width

int Fractal_Struct::Width

Referenced by init_ifs().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.13/src/post/goom/ifs.c